Loading...
Searching...
No Matches
openshot::CVObjectDetection Class Reference

This class runs trought a clip to detect objects and returns the bounding boxes and its properties. More...

`#include <CVObjectDetection.h>`

## Public Member Functions

bool | _LoadObjDetectdData ()
void | AddFrameDataToProto (pb_objdetect::Frame *pbFrameData, CVDetectionData &dData)
| CVObjectDetection (std::string processInfoJson, ProcessingController &processingController)
void | detectObjectsClip (openshot::Clip &video, size_t start=0, size_t end=0, bool process_interval=false)
CVDetectionData | GetDetectionData (size_t frameId)
bool | SaveObjDetectedData ()
| Protobuf Save and Load methods.
void | SetJson (const std::string value)
| Load JSON string into this object.
void | SetJsonValue (const Json::Value root)
| Load Json::Value into this object.

## Public Attributes

std::map< size_t, CVDetectionData > | detectionsData

## Detailed Description

This class runs trought a clip to detect objects and returns the bounding boxes and its properties.

Object detection is performed using YoloV3 model with OpenCV DNN module

Definition at line 64 of file CVObjectDetection.h.

## Constructor & Destructor Documentation

## CVObjectDetection()

CVObjectDetection::CVObjectDetection | ( | std::string | processInfoJson,
|  | ProcessingController & | processingController )

Definition at line 28 of file CVObjectDetection.cpp.

## Member Function Documentation

## _LoadObjDetectdData()

bool CVObjectDetection::_LoadObjDetectdData | ( |  | ) |

Definition at line 423 of file CVObjectDetection.cpp.

## AddFrameDataToProto()

void CVObjectDetection::AddFrameDataToProto | ( | pb_objdetect::Frame * | pbFrameData,
|  | CVDetectionData & | dData )

Definition at line 338 of file CVObjectDetection.cpp.

Referenced by SaveObjDetectedData().

## detectObjectsClip()

void CVObjectDetection::detectObjectsClip | ( | openshot::Clip & | video,
|  | size_t | start = 0,
|  | size_t | end = 0,
|  | bool | process_interval = false )

Definition at line 46 of file CVObjectDetection.cpp.

## GetDetectionData()

CVDetectionData CVObjectDetection::GetDetectionData | ( | size_t | frameId | ) |

Definition at line 290 of file CVObjectDetection.cpp.

## SaveObjDetectedData()

bool CVObjectDetection::SaveObjDetectedData | ( |  | ) |

Protobuf Save and Load methods.

Definition at line 301 of file CVObjectDetection.cpp.

## SetJson()

void CVObjectDetection::SetJson | ( | const std::string | value | ) |

Load JSON string into this object.

Definition at line 359 of file CVObjectDetection.cpp.

Referenced by CVObjectDetection().

## SetJsonValue()

void CVObjectDetection::SetJsonValue | ( | const Json::Value | root | ) |

Load Json::Value into this object.

Definition at line 377 of file CVObjectDetection.cpp.

Referenced by SetJson().

## Member Data Documentation

## detectionsData

std::map<size_t, CVDetectionData> openshot::CVObjectDetection::detectionsData

Definition at line 105 of file CVObjectDetection.h.

Referenced by _LoadObjDetectdData(), GetDetectionData(), and SaveObjDetectedData().

The documentation for this class was generated from the following files:

- CVObjectDetection.h
- CVObjectDetection.cpp